#include <bits/stdc++.h>
using namespace std;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
int q;
cin >>q;
for(int i=0;i<q;i++){
    int n,k,t;
    cin >>n>>k>>t;
    ///n=k
    string s="";
    t--;
    while(n){

        if(t%2)s+=")";
    else s+="(";
        n--;
        t/=2;
    }
    reverse(s.begin(),s.end());
    if(t)cout <<"Ne postoji"<<endl;
    else
    cout <<s<<endl;
}
}